# Key Terms

### Key Concepts

1. [**Credentials**](/unskript-documentation/connnecting/connectors.md): allow you to easily configure connections to external systems like databases and APIs. Currently, unSkript supports connections to many sources like MySQL, Snowflake, MongoDB, Grafana, Datadog, JIRA, GitHub, AWS, GCP, Kubernetes, SSH, REST APIs, Slack and Airflow.
2. [**xRunBooks**](/unskript-documentation/runbooks/xrunbooks.md)**:** a multi-step workflow that can be composed out of multiple Actions. For example- customer onboarding workflow. xRunBooks are written in Python.&#x20;
3. [**Actions**](/unskript-documentation/actions/actions.md)**:** The atomic units of a xRunBook.  Actions are connected together to create a full xRunBook.  There are hundreds of pre-built Actions in unSkript that can be easily configured, or you can create your own.
4. [**Environment**](/unskript-documentation/connnecting/proxies/connect-your-environment.md)**:** a collection of credentials and xRunBooks that your workflow uses to complete the tasks.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.unskript.com/unskript-documentation/guides/getting-started/key-terms.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
